Subject: bug#9960: Compiling Emacs trunk with MSVC

From: Eli Zaretskii <[email-masked]>
Date: Wed, 30 Nov 2011 20:04:19 +0200

> Date: Wed, 30 Nov 2011 08:48:50 -0700
> From: Tim Crews <[email-masked]>
> 
> <html>
>   <head>

Can you please not use HTML in email messages sent to here?

>     In a (misguided) effort to debug the linum-mode problem that I
>     reported yesterday
>     (http://debbugs.gnu.org/cgi/bugreport.cgi?bug=10164), I
>     attempted to build Emacs on my Windows 7 Pro SP1 64-bit machine
>     using MSVC; specifically using the Windows SDK 7.1 tools.
> 
>     The initial "nmake bootstrap" still does not work.

If you tried a 64-bit build, then it is not yet supported on Windows.
Try the 32-bit build, it should work.

>     the linum-mode bug was apparently caused by an issue with
>     gcc.

No, it wasn't.  But I fixed it already; try the next pretest when it
will be ready, hopefully in a day or two.

>     But back on 11/27 you asked someone to try a MSVC build, so here
>     you go.

Thanks.